pcl::DOTModality Class Referenceabstract

`#include <pcl/recognition/dot_modality.h>`

Inheritance diagram for pcl::DOTModality:

## Public Member Functions

virtual | ~DOTModality ()
virtual QuantizedMap & | getDominantQuantizedMap ()=0
virtual QuantizedMap | computeInvariantQuantizedMap (const MaskMap &mask, const RegionXY &region)=0

## Detailed Description

Definition at line 49 of file dot_modality.h.

## Constructor & Destructor Documentation

## ~DOTModality()

virtual pcl::DOTModality::~DOTModality | ( |  | ) |

inline virtual

Definition at line 53 of file dot_modality.h.

## Member Function Documentation

## computeInvariantQuantizedMap()

virtual QuantizedMap pcl::DOTModality::computeInvariantQuantizedMap | ( | const MaskMap & | mask,
|  | const RegionXY & | region
| ) |  |

pure virtual

Implemented in pcl::ColorGradientDOTModality< PointInT >.

## getDominantQuantizedMap()

virtual QuantizedMap& pcl::DOTModality::getDominantQuantizedMap | ( |  | ) |

pure virtual

Implemented in pcl::ColorGradientDOTModality< PointInT >.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/recognition/include/pcl/recognition/dot_modality.h